Loading...
Searching...
No Matches
BALL::QuaternionGene Class Reference

`#include <BALL/DOCKING/GENETICDOCK/genes.h>`

Inheritance diagram for BALL::QuaternionGene:

## Public Member Functions

| QuaternionGene ()
virtual | ~QuaternionGene ()
virtual GenericGene * | mate (GenericGene *gg)
virtual void | mutate ()
Quaternion | getValue ()
virtual GenericGene * | clone ()
void | randomize ()
Public Member Functions inherited from BALL::GenericGene
| GenericGene ()
virtual | ~GenericGene ()

## Additional Inherited Members

Protected Member Functions inherited from BALL::GenericGene
double | randomGeneValue ()
int | randomGenePosition (int from, int to)

## Detailed Description

gene with one quaternion value

Definition at line 107 of file genes.h.

## Constructor & Destructor Documentation

## QuaternionGene()

BALL::QuaternionGene::QuaternionGene | ( |  | ) |

constructor

## ~QuaternionGene()

virtual BALL::QuaternionGene::~QuaternionGene | ( |  | ) |

virtual

destructor

## Member Function Documentation

## clone()

virtual GenericGene * BALL::QuaternionGene::clone | ( |  | ) |

virtual

clone method

Implements BALL::GenericGene.

## getValue()

Quaternion BALL::QuaternionGene::getValue | ( |  | ) |

returns quaternion vaue

## mate()

virtual GenericGene * BALL::QuaternionGene::mate | ( | GenericGene * | gg | ) |

virtual

mating method

Implements BALL::GenericGene.

## mutate()

virtual void BALL::QuaternionGene::mutate | ( |  | ) |

virtual

mutation method

Implements BALL::GenericGene.

## randomize()

void BALL::QuaternionGene::randomize | ( |  | ) |

virtual

randomize quaternion

Implements BALL::GenericGene.